---@meta

---@class ABP_MeshArray_V2_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field DefaultSceneRoot USceneComponent
---@field ['메시'] TArray<FS_Mesh_V2>
---@field ['개수'] FVector
---@field ['간격'] FVector
---@field ['콜리전'] ECollisionEnabled::Type
---@field currentISM UInstancedStaticMeshComponent
---@field ['태그'] TArray<FName>
---@field ['Visible in Ray Tracing?'] boolean
---@field ['Cast Shadow?'] boolean
---@field ['Use Instance Data'] boolean
---@field ISMs TArray<UInstancedStaticMeshComponent>
---@field MinBound FVector
---@field MaxBound FVector
---@field CurrentMin FVector
---@field CurrentMax FVector
---@field ['UseFloor?'] boolean
---@field IndexOffset double
---@field ['IsReverse?'] boolean
---@field CurrentIndex double
---@field ['메쉬카드'] boolean
---@field B1MeshCardComp UB1MeshCardComponent
---@field ['Local Ray Tracing ID'] int32
---@field ['Volume Ray Tracing ID'] int32
local ABP_MeshArray_V2_C = {}

---@return int32
function ABP_MeshArray_V2_C:GetMeshCardRayTracingId() end
---@return boolean
function ABP_MeshArray_V2_C:IsLocalMeshCard() end
function ABP_MeshArray_V2_C:BuildMeshCard() end
---@param ISM UInstancedStaticMeshComponent
---@param Tags TArray<FName>
function ABP_MeshArray_V2_C:AddTags(ISM, Tags) end
ABP_MeshArray_V2_C['Initialize Array'] = function(self, ) end
function ABP_MeshArray_V2_C:UserConstructionScript() end
ABP_MeshArray_V2_C['자동 간격'] = function(self, ) end
---@param RayTracingId int32
function ABP_MeshArray_V2_C:SetMeshCardRayTracingId(RayTracingId) end
---@param EntryPoint int32
function ABP_MeshArray_V2_C:ExecuteUbergraph_BP_MeshArray_V2(EntryPoint) end


